import { ActionType, PageContainer, ProTable } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { useModel } from "@umijs/max"
import { shortBookOrderList, shortBookOrderReportOrder } from "@/services/miniApp/payLog"
import { useCallback, useRef } from "react"

const Page: React.FC = () => {
    let { initialState } = useModel("@@initialState")
    const actionRef = useRef<ActionType>();
    let getList = useAjax((params) => shortBookOrderList(params), { type: 'table' })
    let ShortBookOrderReportOrder = useAjax((params) => shortBookOrderReportOrder(params))
    const submit = useCallback((params: { orderNo: string }) => {
        ShortBookOrderReportOrder.run(params).then(res => {
            if (res.code === 200) {
                actionRef?.current?.reload()
            }
        })
    }, [])
    return <PageContainer title={false}
    >
        <ProTable<any, any>
            actionRef={actionRef}
            scroll={{ x: true }}
            loading={getList?.loading || ShortBookOrderReportOrder?.loading}
            params={{
                appId: initialState?.selectApp?.id || "",
                distributorId: initialState?.currentUser?.distributorId,
                appType: initialState?.selectApp?.appType || ""
            }}
            headerTitle={"小说充值记录列表"}
            rowKey={(r) => r.id}
            search={{
                labelWidth: 120,
            }}
            request={async (params) => {
                return await getList.run(params)
            }}
            columns={columns(submit)}
        // bordered
        />
    </PageContainer>

}
export default Page